//! A single element of text.
use crate::parser::parser_with_context::parser_with_context;
use crate::parser::text::paragraph_end;

use super::nom_context::NomContext;
use super::text::bold_end;
use super::text::bold_start;
use super::text::line_break;
use super::text::space;
use super::text::span;
use super::text::symbol;
use super::text::Bold;
use super::text::Res;
use super::text::TextElement;
use nom::branch::alt;
use nom::combinator::map;
use nom::combinator::not;
use nom::combinator::recognize;
use nom::error::VerboseError;
use nom::multi::many_till;
use nom::sequence::tuple;
use nom::IResult;

fn flat_text_element<'s, 'r>(
    i: &'s str,
    context: &'r mut NomContext,
) -> Res<&'s str, TextElement<'s>> {
    not(&mut context.fail_matcher)(i)?;
    todo!()
}
